require "import"
import "com.androlua.*"
import "android.content.*"
import "android.net.*"
import "java.text.SimpleDateFormat"
import "java.util.Date"

local url = "http://d.jieshuo.ltd/?f=beta&t=%E6%B5%8B%E8%AF%95%E7%89%88%E4%B8%8B%E8%BD%BD"
this.speak("Checking for update...")

Http.get(url, function(status, data)
    if status == 200 then
        local av = data:match("%d+%d+%d+%d+")
        local cv = this.getPackageManager().getPackageInfo(this.getPackageName(), 0).versionName

        if av and tonumber(av) > tonumber(cv) then
            local releaseDate = data:match("rDate%s*=%s*'([^']+)'")

-- Create a message containing the update version and release date, if available
local message = "New version available: ".. av
            if releaseDate then
-- Analyze release date if available
                local sdf = SimpleDateFormat("yyyy-MM-dd HH:mm:ss")
                local releaseDateObj = sdf.parse(releaseDate)
                local formattedDate = SimpleDateFormat("MMMM dd, yyyy").format(releaseDateObj)
message = message .. "\nRelease date: " .. formattedDate
            end

            local dialog = LuaDialog(this)
dialog.setTitle("Update available")
            dialog.setMessage(message)
dialog.setPositiveButton("Download", function()
-- Open a web browser or other application to download the update
                local intent = Intent()
                intent.setAction(Intent.ACTION_VIEW)
                intent.setData(Uri.parse(url))
                this.startActivity(intent)
            end)
            dialog.show()
        else
this.speak("No updates!")
        end
    else
this.speak("Communication error :-(")
    end
end)